Skip to main content
PUT
/
workspace
/
{workspace_id}
/
apigroup
/
{apigroup_id}
Update an API group
curl --request PUT \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/apigroup/{apigroup_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/x-xanoscript' \
  --data 'api_group foo {
  canonical = "custom"
  swagger = {active: true}
}
'
{
  "id": 1,
  "created_at": "2023-04-19 21:01:32+0000",
  "updated_at": "2023-04-19 21:01:32+0000",
  "name": "API Group Test",
  "description": "My API groups description",
  "docs": "Documentation",
  "guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
  "canonical": "FRzyRdY0",
  "swagger": true,
  "documentation": {
    "link": "<string>"
  },
  "branch": "v1",
  "tag": [
    "example tag"
  ],
  "xanoscript": {
    "status": "ok",
    "value": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
apigroup_id
integer<int64>
required

Query Parameters

include_xanoscript
boolean
default:false

Body

The body is of type string.

Example:

"api_group foo {\n canonical = \"custom\"\n swagger = {active: true}\n}\n"

Response

Success!

id
integer<int64>
default:1
created_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
updated_at
string<timestamptz>
default:2023-04-19 21:01:32+0000
name
string
default:API Group Test
description
string
default:My API groups description
docs
string
default:Documentation
guid
string
default:YE1fwVhQ-enRlc6Sb42Gqru58-0
canonical
string
default:FRzyRdY0
swagger
boolean
default:true
documentation
object
branch
string
default:v1
tag
string[]
xanoscript
object